Mono.Data.SqliteClient 1.0.5000.0 2.0.0.0 System.Data.Common.DbDataReader The DataReader represents a table of results returned from a query.

A DataReader is returned from . The DataReader currently implemented preloads the entire into memory.

The DataReader is initially positioned before the first row of data. must be called before accessing the data in the first row.

- Method
  System.Void Closes the DataReader. None. 2.0.0.0
- Property
  System.Int32 Returns zero. Zero. This method is not currently used. 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  System.Int32 Gets the number of columns in the table. The number of columns in the table. None. 2.0.0.0
- Method
  System.Boolean `` The column index (zero-based). Get the value in a column converted to a boolean. The boolean value in the th column. None. 2.0.0.0
- Method
  System.Byte `` The column index (zero-based). Get the value in a column converted to a byte. The byte value in the th column. None. 2.0.0.0
- Method
  System.Int64 `` `` `` `` `` The column index (zero-based). The starting byte in the field data at which to get the data. The buffer to fill with field data. The starting index in the buffer to put the data. The number of bytes to retrieve and put in the buffer. Gets the byte data within a binary field. The number of bytes copied into the buffer. None. 2.0.0.0
- Method
  System.Char `` The column index (zero-based). Get the value in a column converted to a char. The char value in the th column. None. 2.0.0.0
- Method
  System.Int64 `` `` `` `` `` The column index (zero-based). To be added. To be added. To be added. To be added. This method is not implemented. To be added. To be added. 2.0.0.0
- Method
  System.String `` The column index (zero-based). Gets the name of the SQL data type for the given column. The name of a SQL data type, such as "text." For Sqlite2 databases, "text" is always the return value. For Sqlite3, the return value may be the data type used to create the column. 2.0.0.0
- Method
  System.DateTime `` The column index (zero-based). Get the value in a column converted to a DateTime. The DateTime value in the th column. In Sqlite 3 databases, if the column is typed as DATE or DATETIME and an integer value was put into the field, then SqliteClient will convert the integer value to a DateTime struct using . For Sqlite 2 and 3, if a string value was put into the field, then the string will be converted to a DateTime using . Any other data type in the column may throw an exception. 2.0.0.0
- Method
  System.Decimal `` The column index (zero-based). Get the value in a column converted to a Decimal. The decimal value in the th column. None. 2.0.0.0
- Method
  System.Double `` The column index (zero-based). Get the value in a column converted to a double. The double value in the th column. None. 2.0.0.0
- Method
  2.0.0.0
  System.Collections.IEnumerator To be added. To be added. To be added.
- Method
  System.Type `` The column index (zero-based). Gets a Type representing the type of data in the field. Gets the type of data in the th column for the current row of the DataReader.

  If the DataReader is positioned before the first row and a row of data is available, GetFieldType returns the data type for the first row. If no rows of data are available, GetFieldType returns .

  If the th column contains NULL, then GetFieldType returns .

  2.0.0.0
- Method
  System.Single `` The column index (zero-based). Get the value in a column converted to a float. The float value in the th column. None. 2.0.0.0
- Method
  System.Guid `` The column index (zero-based). Get the value in a column converted to a GUID. The GUID value in the th column. None. 2.0.0.0
- Method
  System.Int16 `` The column index (zero-based). Get the value in a column converted to a short. The short value in the th column. None. 2.0.0.0
- Method
  System.Int32 `` The column index (zero-based). Get the value in a column converted to an int. The int value in the th column. None. 2.0.0.0
- Method
  System.Int64 `` The column index (zero-based). Get the value in a column converted to a long. The long value in the th column. None. 2.0.0.0
- Method
  System.String `` The column index (zero-based). Gets the name of a column. The name of the column, as given in the SQL query or the source table. None. 2.0.0.0
- Method
  System.Int32 `` The name of a column. Gets the index of a column by name. The index of the column. This method throws an ArgumentException if the name is not the name of a column. The name is treated case-insensitively. 2.0.0.0
- Method
  System.Data.DataTable To be added. To be added. To be added. 2.0.0.0
- Method
  System.String `` The column index (zero-based). Gets the value in a column converted to a string. The value in the th column converted to a string. None. 2.0.0.0
- Method
  System.Object `` The column index (zero-based). Gets the value in the table by column index. The value in the table at the given column and in the row the DataReader is currently positioned on. None. 2.0.0.0
- Method
  System.Int32 `` An array, usually the size of . Fills an array with values in the current row of the table. The number of values put into , which is the minimum of the array's length and FieldCount.

  is filled with the values in the current row of the table, starting with the first column and going to the last column or until the end of .

  Unusually, null values in the database are put into as .

  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  System.Boolean Gets whether the DataReader has been closed. if Close or Dispose has been called on the DataReader. None. 2.0.0.0
- Method
  System.Boolean `` The column index (zero-based). Returns whether the value in the given column was null in the database. Whether the value of the field in the database was null. None. 2.0.0.0
- Property
  System.Object `` The column to retrieve (zero-based). Gets the value in the table by column index. The value in the table at the given column and in the row the DataReader is currently positioned on. None. 2.0.0.0
- Property
  System.Object `` The name of the column, as given in the SQL query. Gets the value in the table by column name. The value in the table at the given column and in the row the DataReader is currently positioned on. None. 2.0.0.0
- Method
  System.Boolean This method should not currently be used. N/A. This method currently has the same behavior of Read(), but its behavior will be changed in a future release to match the behavior of other data adapters. 2.0.0.0
- Method
  System.Boolean Positions the reader on the next row in the table. if the move to the next row was successful, i.e. if another row existed in the table; otherwise. None. 2.0.0.0
- Property
  System.Int32 Gets the number of rows in the source table modified by the query. The number of rows in the source table modified by the query. None. 2.0.0.0
- Property
  2.0.0.0
  System.Int32 To be added. To be added. To be added.